Security Enhanced Linux Reference Policy

# Layer: services

## Module: haproxy

Tunables Interfaces

### Description:

A TCP/HTTP reverse proxy for high availability environments.

### Tunables:

haproxy_bind_all_tcp_ports

##### Default value

false

##### Description

Determine whether haproxy can bind to all TCP ports.

haproxy_bind_kubernetes_port

##### Default value

false

##### Description

Determine whether haproxy can bind to kubernetes ports (typically 6443/tcp).

haproxy_connect_all_tcp_ports

##### Default value

false

##### Description

Determine whether haproxy can connect to all TCP ports.

haproxy_connect_kubernetes_port

##### Default value

false

##### Description

Determine whether haproxy can connect to kubernetes ports (typically 6443/tcp).

Return

### Interfaces:

haproxy_admin( domain , role )

##### Summary

All of the rules required to administrate an haproxy environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

haproxy_domtrans( domain )

##### Summary

Execute haproxy in the haproxy domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

haproxy_run( domain , role )

##### Summary

Execute haproxy in the haproxy domain, and allow the specified role the haproxy domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return